Qt 5.9 | Qt 3D | C++ Classes | QExtrudedTextGeometry

Qt 5.9.9 Reference Documentation

# QExtrudedTextGeometry Class

(Qt3DExtras::QExtrudedTextGeometry)

The QExtrudedTextGeometry class allows creation of a 3D extruded text in 3D space. More...

Header: | #include <Qt3DExtras/QExtrudedTextGeometry>
qmake: | QT += 3dextras
Since: | Qt 5.9
Instantiated By: | ExtrudedTextGeometry
Inherits: | Qt3DRender::QGeometry

- List of all members, including inherited members

## Properties

- extrusionLength : float
- font : QFont
- indexAttribute : Qt3DRender::QAttribute * const

- normalAttribute : Qt3DRender::QAttribute * const
- positionAttribute : Qt3DRender::QAttribute * const
- text : QString

- 1 property inherited from Qt3DRender::QGeometry
- 3 properties inherited from Qt3DCore::QNode

## Public Functions

| QExtrudedTextGeometry(Qt3DCore::QNode *parent = nullptr)
float | extrusionLength() const
QFont | font() const
Qt3DRender::QAttribute * | indexAttribute() const
Qt3DRender::QAttribute * | normalAttribute() const
Qt3DRender::QAttribute * | positionAttribute() const
QString | text() const

- 4 public functions inherited from Qt3DRender::QGeometry
- 11 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setDepth(float extrusionLength)
void | setFont(const QFont &font)
void | setText(const QString &text)

- 1 public slot inherited from Qt3DRender::QGeometry
- 3 public slots inherited from Qt3DCore::QNode

## Signals

void | depthChanged(float extrusionLength)
void | fontChanged(const QFont &font)
void | textChanged(const QString &text)

- 1 signal inherited from Qt3DRender::QGeometry
- 4 signals inherited from Qt3DCore::QNode

## Protected Functions

| QExtrudedTextGeometry(QExtrudedTextGeometryPrivate &dd, QNode *parent = nullptr)

- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

The QExtrudedTextGeometry class allows creation of a 3D extruded text in 3D space.

The QExtrudedTextGeometry class is most commonly used internally by the QText3DMesh but can also be used in custom Qt3DRender::QGeometryRenderer subclasses.

## Property Documentation

### extrusionLength : float

Holds the extrusion length of the text.

Access functions:

float | extrusionLength() const
void | setDepth(float extrusionLength)

Notifier signal:

void | depthChanged(float extrusionLength)

### font : QFont

Holds the font of the text.

Access functions:

QFont | font() const
void | setFont(const QFont &font)

Notifier signal:

void | fontChanged(const QFont &font)

### indexAttribute : Qt3DRender::QAttribute * const

Holds the geometry index attribute.

Access functions:

Qt3DRender::QAttribute * | indexAttribute() const

### normalAttribute : Qt3DRender::QAttribute * const

Holds the geometry normal attribute.

Access functions:

Qt3DRender::QAttribute * | normalAttribute() const

### positionAttribute : Qt3DRender::QAttribute * const

Holds the geometry position attribute.

Access functions:

Qt3DRender::QAttribute * | positionAttribute() const

### text : QString

Holds the text used for the mesh.

Access functions:

QString | text() const
void | setText(const QString &text)

Notifier signal:

void | textChanged(const QString &text)

## Member Function Documentation

### QExtrudedTextGeometry::QExtrudedTextGeometry(Qt3DCore::QNode *parent = nullptr)

Constructs a new QExtrudedTextGeometry with parent.

### `[protected]` QExtrudedTextGeometry::QExtrudedTextGeometry(QExtrudedTextGeometryPrivate &dd, QNode *parent = nullptr)

Copy constructor.